'use strict';

var _build = require('./build');

var build = _interopRequireWildcard(_build);

var _deploy = require('./deploy');

var deploy = _interopRequireWildcard(_deploy);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

console.log(build);

var command = process.argv[2];
var folder = process.argv[3];

switch (command) {
  case 'build':
    {
      build.run({
        folder: folder
      });
      break;
    }
  case 'build:frontful':
    {
      build.run({
        transpile: false,
        folder: folder
      });
      break;
    }
  case 'deploy':
    {
      deploy.run({
        folder: folder
      });
      break;
    }
  case 'deploy:frontful':
    {
      deploy.run({
        transpile: false,
        folder: folder
      });
      break;
    }
  default:
    {}
}